Define Command

define.h
Go to the documentation of this file.
1 /*! \file define.h
2 \brief testing defines
3
4 This is to test the documentation of defines.
5 */
6
7 /*!
8 \def MAX(x,y)
9 Computes the maximum of \a x and \a y.
10 */
11
12 /*!
13 \brief Computes the absolute value of its argument \a x.
14 \param x input value.
15 \returns absolute value of \a x.
16 */
17 #define ABS(x) (((x)>0)?(x):-(x))
18 #define MAX(x,y) ((x)>(y)?(x):(y))
19 #define MIN(x,y) ((x)>(y)?(y):(x))
20 /*!< Computes the minimum of \a x and \a y. */